Package org.apache.tools.ant.types.resources

# Enum Class MultiRootFileSet.SetType

java.lang.Object
java.lang.Enum<MultiRootFileSet.SetType>
org.apache.tools.ant.types.resources.MultiRootFileSet.SetType

All Implemented Interfaces:
  `Serializable`, `Comparable<MultiRootFileSet.SetType>`, `Constable`

Enclosing class:
  `MultiRootFileSet`

public static enum MultiRootFileSet.SetType extends Enum<MultiRootFileSet.SetType>
What to return from the set: files, directories or both.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`both`
`dir`
`file`

## Method Summary

Modifier and Type
Method
Description
`static MultiRootFileSet.SetType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MultiRootFileSet.SetType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### file

public static final MultiRootFileSet.SetType file

### dir

public static final MultiRootFileSet.SetType dir

### both

public static final MultiRootFileSet.SetType both

## Method Details

### values

public static MultiRootFileSet.SetType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MultiRootFileSet.SetType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null